package com.mortals.xhx.module.device.model.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;
import org.apache.poi.ss.usermodel.PictureData;

import java.util.List;
/**
* 设备视图对象
*
* @author zxfei
* @date 2022-07-01
*/
@Data
public class DeviceVo extends BaseEntityLong {
    /**
     * 唯一标识
     */
    private String token;

    /**
     * 平台编码
     */
    private String platformCode;

    /**
     * 产品编码
     */
    @Excel(name = "产品类型",cacheDict = "productDict" ,type = Excel.Type.IMPORT)
    private String productCode;


    /**
     * 是否通知第三方
     */
    private Boolean switchSend=true;

    /**
     * 设备图片附件
     */
    @Excel(name = "设备图片", type = Excel.Type.IMPORT, cellType = Excel.ColumnType.IMAGE)
    @JSONField(deserialize = false,serialize = false)
    @JsonIgnore
    private PictureData picObj;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /**
     * 产品列表
     */
    private List <Long> productIdList;


    private List <Integer> deviceStatusList;


    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;
    /**
     * 设备编码,SN码等，默认为MAC地址
     */
    @Excel(name = "设备编码")
    private String deviceCode;
    /**
     * 站点名称
     */
    @Excel(name = "站点名称")
    private String siteName;
    /**
     * 平台系统名称
     */
    @Excel(name = "平台系统名称")
    private String platformName;
    /**
     * 产品名称
     */
    @Excel(name = "产品名称")
    private String productName;
    /**
     * 设备生产厂商名称
     */
    @Excel(name = "设备生产厂商名称")
    private String deviceFirmname;
    /**
     * 所属楼栋
     */
    @Excel(name = "所属楼栋")
    private Integer deviceInBuilding;
    /**
     * 所属楼层
     */
    @Excel(name = "所属楼层")
    private Integer deviceInFloor;
    /**
     * 负责人
     */
    @Excel(name = "负责人")
    private String leadingOfficial;
    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String leadingOfficialTelephone;
    /**
     * 设备来源(0.旧设备，1.新设备)
     */
    @Excel(name = "设备来源", readConverterExp = "0=旧设备,1=新设备")
    private Integer source;
    /**
     * 设备SN码
     */
    @Excel(name = "设备SN码")
    private String deviceSN;
    /**
     * 大厅名称
     */
    @Excel(name = "大厅名称")
    private String hallName;



}